This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 116159 - ifup-routes fails due to typo
ifup-routes fails due to typo
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-18 13:17 EST by Steve Grubb
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-18 15:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-02-18 13:17:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
When adding a file:

/etc/sysconfig/network-scripts/route-eth0

I get the following error when bringing up the interface:

/etc/sysconfig/network-scripts/ifup-routes: line 41: : No such file or
directory

Line 38 is:

           done < "$FILE"

it should be:

           done < "$file"

The capitalization matters.

Version-Release number of selected component (if applicable):
initscripts-7.28-1

How reproducible:
Always

Steps to Reproduce:
1. touch /etc/sysconfig/network-scripts/route-eth0
2. ifdown eth0
3. ifup eth0
    

Actual Results:  /etc/sysconfig/network-scripts/ifup-routes: line 41:
: No such file or directory

Expected Results:  No error message

Additional info:
Comment 1 Bill Nottingham 2004-02-18 15:29:39 EST
This is fixed in later OS releases.

Note You need to log in before you can comment on or make changes to this bug.